List API keys

GET/v1/keys

List API keys owned by the authenticated user.

By default, only active, non-expired inference API keys are returned. Set include_disabled=true to include disabled or expired keys.

Authentication

Authorization Bearer

Use either a Token360 API key (sk-token360-...) or a signed-in user JWT.

Query Parameters

include_disabledstring

true, 1, or yes includes disabled and expired keys.

offsetinteger

Number of API keys to skip. Negative values are treated as 0.

workspace_idstring

Filter by workspace code.

Response

dataobject[]

List of API key details.

data.hashstring

Hash identifier used by management endpoints.

data.namestring

API key name.

data.labelstring

Human-readable label. Matches name.

data.disabledboolean

True when the key status is not ACTIVE or expires_at is in the past.

data.workspace_idstring

Workspace code for the key.

data.creator_user_idstring | null

Owner user ID.

data.created_atstring

Create timestamp in UTC ISO-8601 format.

data.updated_atstring | null

Last update timestamp.

data.expires_atstring | null

UTC expiration timestamp, or null.

data.usagenumber

Total Token360 credit usage in USD.

data.usage_dailynumber

Daily usage. Currently 0.

data.usage_weeklynumber

Weekly usage. Currently 0.

data.usage_monthlynumber

Monthly usage. Currently 0.

data.limitnumber | null

Spending limit. Currently null.

data.limit_remainingnumber | null

Remaining spending limit. Currently null.

data.limit_resetstring | null

Limit reset interval. Currently null.

data.is_free_tierboolean

Currently false.

data.is_management_keyboolean

Currently true for these management responses.

data.is_provisioning_keyboolean

Currently false.

data.rate_limitobject

Per-minute request limit metadata.

Request

Shell
1curl "https://api.token360.ai/v1/keys?include_disabled=true" \
2  -H "Authorization: Bearer sk-token360-inf-..."

Response

JSON
1{
2  "data": [
3    {
4      "hash": "f01d52606dc8f0a8303a7b5cc3fa07109c2e346cec7c0a16b40de462992ce943",
5      "name": "Analytics Service Key",
6      "label": "Analytics Service Key",
7      "disabled": false,
8      "workspace_id": "DEFAULT",
9      "creator_user_id": "42",
10      "created_at": "2026-06-04T00:00:00Z",
11      "updated_at": "2026-06-04T01:00:00Z",
12      "expires_at": null,
13      "usage": 12.34,
14      "usage_daily": 0,
15      "usage_weekly": 0,
16      "usage_monthly": 0,
17      "limit": null,
18      "limit_remaining": null,
19      "limit_reset": null,
20      "is_free_tier": false,
21      "is_management_key": true,
22      "is_provisioning_key": false,
23      "rate_limit": {
24        "interval": "minute",
25        "note": "Token-360 per-minute request limit",
26        "requests": 1000
27      }
28    }
29  ]
30}
Was this page helpful?